apiVersion: cert-manager.io/v1
kind: Certificate
metadata:
  name: gemeente-utrecht-nlx-inway
  namespace: bk-test
spec:
  commonName: gemeente-utrecht-nlx-inway
  dnsNames:
    - gemeente-utrecht-nlx-inway
  issuerRef:
    name: gemeente-utrecht-internal-ca-issuer
  duration: 8760h  # 1 year
  renewBefore: 720h  # 30 days
  secretName: gemeente-utrecht-nlx-inway-tls
  privateKey:
    size: 4096
---
apiVersion: cert-manager.io/v1
kind: Certificate
metadata:
  name: gemeente-utrecht-nlx-outway
  namespace: bk-test
spec:
  commonName: gemeente-utrecht-nlx-outway
  dnsNames:
    - gemeente-utrecht-nlx-outway
  issuerRef:
    name: gemeente-utrecht-internal-ca-issuer
  duration: 8760h  # 1 year
  renewBefore: 720h  # 30 days
  secretName: gemeente-utrecht-nlx-outway-tls
  privateKey:
    size: 4096
---
apiVersion: cert-manager.io/v1
kind: Certificate
metadata:
  name: gemeente-utrecht-nlx-management-api
  namespace: bk-test
spec:
  commonName: gemeente-utrecht-nlx-management-api
  dnsNames:
    - gemeente-utrecht-nlx-management-api
  issuerRef:
    name: gemeente-utrecht-internal-ca-issuer
  duration: 8760h  # 1 year
  renewBefore: 720h  # 30 days
  secretName: gemeente-utrecht-nlx-management-api-tls
  privateKey:
    size: 4096
---
apiVersion: cert-manager.io/v1
kind: Certificate
metadata:
  name: gemeente-utrecht-nlxctl-tls
  namespace: bk-test
spec:
  commonName: nlxctl
  issuerRef:
    name: gemeente-utrecht-internal-ca-issuer
  duration: 8760h  # 1 year
  renewBefore: 720h  # 30 days
  secretName: gemeente-utrecht-nlxctl-tls
  privateKey:
    size: 4096
